name: Build and test FrontEnd 

on:
  push:
    branches: [ master ]
  pull_request:
    branches: [ master ]

jobs:
  Build-frontend:
    runs-on: ubuntu-latest
    steps:
    - uses: actions/checkout@v4
    - name: Use Node.js ${{ matrix.node-version }}
      uses: actions/setup-node@v3
      working-directory: ./frontend
    - run: npm ci 
      name: clean install
      working-directory: ./frontend
    - run: npm run build --if-present
      name: build
      working-directory: ./frontend
